Page MenuHomePhabricator

Upload wizard buttons are green
Closed, DeclinedPublic

Description

Some buttons at Special:UploadWizard are green. Please change (back?) to gray.

And something with the buttons seems wrong, they are too close to the text (T107508).
NOW:

BEFORE:

Event Timeline

Steinsplitter raised the priority of this task from to High.
Steinsplitter updated the task description. (Show Details)
Steinsplitter added a project: UploadWizard.
Steinsplitter added a subscriber: Steinsplitter.
Restricted Application added a project: Multimedia. · View Herald TranscriptJun 6 2015, 5:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Steinsplitter updated the task description. (Show Details)Jun 6 2015, 5:46 PM
Steinsplitter set Security to None.
Steinsplitter updated the task description. (Show Details)Jun 6 2015, 5:48 PM

I think they are green to conform with new button-standards, such as in the VE etc.

Matanya added a subscriber: Matanya.Jun 7 2015, 1:27 PM

green is totally fine, good call for action.

green is totally fine, good call for action.

well... this is point of view, but the blue button is attachet at the "!", All blur buttons in upload wiz are attached to text (whitespace in css missing)

Aklapper raised the priority of this task from High to Needs Triage.Jun 8 2015, 8:53 AM

the blue button is attachet at the "!", All blur buttons in upload wiz are attached to text (whitespace in css missing)

But how is that related to some different button being green now (which is what this task is about according to its task summary) which is likely intentional?
Or did you want to name this report "Applying button color changes seems to have made buttons and text too close" instead?

Plus I don't see how this is so urgent that it requires high priority - I'll leave that to the developers...

Some buttons at Special:UploadWizard are green.

This is according to the documentation in living style guideGreen is the color of constructive actions.

Aklapper closed this task as Invalid.Jul 8 2015, 11:49 AM
Aklapper claimed this task.

So I guess this is invalid (at least for UW) by definition? Closing.

If there are reasons to challenge the color, please reopen and elaborate and add the Wikimedia Design Style Guide project instead.

The buttons are still attached to the forms in FF, i am sure this isn't wanted. For example the "Continue" button is attached to the "!", there is missing a whitespace.

Josve05a renamed this task from Upload wizard buttons are green to Upload-buttons are attached to the forms in FF, missing whitespace.Jul 8 2015, 2:34 PM
Josve05a reopened this task as Open.
Josve05a updated the task description. (Show Details)
Josve05a edited projects, added Commons; removed Multimedia.
Restricted Application added a project: Multimedia. · View Herald TranscriptJul 8 2015, 2:34 PM
Josve05a renamed this task from Upload-buttons are attached to the forms in FF, missing whitespace to Upload-buttons are attached to the forms, missing whitespace.Jul 8 2015, 2:34 PM
Josve05a updated the task description. (Show Details)

Same thing in Chrome, there needs to be some sort of whitespace between the ! and the Continue-button.

MarkTraceur renamed this task from Upload-buttons are attached to the forms, missing whitespace to Upload step "All uploads complete!" text and "Upload" button are too close together.Jul 8 2015, 2:41 PM
MarkTraceur updated the task description. (Show Details)Jul 8 2015, 2:42 PM
Aklapper removed Aklapper as the assignee of this task.Jul 8 2015, 2:55 PM
zhuyifei1999 moved this task from Incoming to Uploading on the Commons board.Jul 9 2015, 5:57 AM
kaldari claimed this task.Aug 6 2015, 12:15 AM

Change 229607 had a related patch set uploaded (by Kaldari):
Add needed whitespace between buttons and text in UploadWizard

https://gerrit.wikimedia.org/r/229607

kaldari updated the task description. (Show Details)Aug 6 2015, 12:55 AM

With the current title, this is a duplicate of T107508. Since we have that filed as a separate bug, I'll revert this one to the original summary and resolution. Hope you don't mind, and sorry for not resolving the issue earlier.

matmarex renamed this task from Upload step "All uploads complete!" text and "Upload" button are too close together to Upload wizard buttons are green.Aug 6 2015, 10:47 AM
matmarex closed this task as Declined.
matmarex updated the task description. (Show Details)

Change 229607 merged by jenkins-bot:
Add needed whitespace between buttons and text in UploadWizard

https://gerrit.wikimedia.org/r/229607